0

OS version is 5.1.7 Hera. I got the following error when I try to update in app center:

- W: GPG error: http://repo.vivaldi.com/stable/deb stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 793FEB8BB69735B2
- E: The repository 'http://repo.vivaldi.com/stable/deb stable Release' is not signed.
- N: Updating from such a repository can't be done securely, and is therefore disabled by default.
- N: See apt-secure(8) manpage for repository creation and user configuration details.

Since the problem seem to be vivaldi, I tried to remove it (I don't use it anyway) using sudo apt purge vivaldi, sudo apt-get purge-vivaldi-stable, and dpkg -l | grep vivaldi. After that I tried to update again, but the error persist.

I also tried to try to import all missing GPG keys using y-ppa-manager, but the error still persist.

I don't understand how to fix it, so any help will be appreciated. Sorry for the trouble and thank you.

1
2

Just remove the repo for your system:

sudo rm /etc/apt/sources.list.d/vivaldi.list

I hope this help you

Edit:

Could you please try: cd ~ wget https://repo.vivaldi.com/stable/linux_signing_key.pub sudo apt-key add linux_signing_key.pub

3
  • I tried that, and the terminal said: rm: cannot remove '/etc/apt/sources.list.d/vivaldi.list': No such file or directory And the 'failed to fecth updates' still persist. – fk20 Jan 11 at 9:07
  • 1
    I modified the answer, please try again. best regards. – Roberto Flores Jan 12 at 2:34
  • Ok, I tried it and it works! Thank you so much! – fk20 Jan 12 at 10:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.